Bug 151090 - [PATCH] games/openttd: update to 1.0.4
Summary: [PATCH] games/openttd: update to 1.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-29 23:30 UTC by Thomas Steen Rasmussen / Tykling
Modified: 2010-11-24 06:20 UTC (History)
1 user (show)

See Also:


Attachments
openttd-1.0.4.patch (1.55 KB, patch)
2010-09-29 23:30 UTC, Thomas Steen Rasmussen / Tykling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Steen Rasmussen / Tykling 2010-09-29 23:30:09 UTC
- Update to 1.0.4

Port maintainer (danfe@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-09-29 23:30:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2010-09-29 23:50:27 UTC
Thomas Steen Rasmussen <thomas@gibfest.dk> writes:

> @@ -36,7 +36,7 @@
>  .if defined(WITH_DEDICATED_SERVER_ONLY)
>  CONFIGURE_ARGS+=	--enable-dedicated
>  # Aid it to find lzo2 headers; client build gets it via sdl-config
> -CONFIGURE_ENV=	CXXFLAGS="${CXXFLAGS} -I${LOCALBASE}/include"
> +CXXFLAGS+="${CXXFLAGS} -I${LOCALBASE}/include"

I don't think you need quotes there nor to explicitly include CXXFLAGS.

  CXXFLAGS += -I${LOCALBASE}/include

While here I've found that config.lib is not LOCALBASE-safe.

  ===>  Configuring for openttd-1.0.4
  ...
  checking lzo2... not found
  WARNING: liblzo2 was not detected or disabled
  WARNING: OpenTTD doesn't require liblzo2, but it does mean that
  WARNING: loading old savegames/scenarios will be disabled.
  configure: error: no liblzo2 detected
   If you want to compile without liblzo2 use --without-liblzo2 as parameter

--- b.diff begins here ---
Index: games/openttd/Makefile
===================================================================
RCS file: /a/.cvsup/ports/games/openttd/Makefile,v
retrieving revision 1.31
diff -u -p -r1.31 Makefile
--- games/openttd/Makefile	22 Aug 2010 12:30:53 -0000	1.31
+++ games/openttd/Makefile	29 Sep 2010 22:45:15 -0000
@@ -36,7 +36,7 @@ CONFIGURE_ARGS+=	--with-midi-arg=${WITH_
 .if defined(WITH_DEDICATED_SERVER_ONLY)
 CONFIGURE_ARGS+=	--enable-dedicated
 # Aid it to find lzo2 headers; client build gets it via sdl-config
-CONFIGURE_ENV=	CXXFLAGS="${CXXFLAGS} -I${LOCALBASE}/include"
+CXXFLAGS+=	-I${LOCALBASE}/include
 .else
 LIB_DEPENDS+=	freetype.9:${PORTSDIR}/print/freetype2 \
 		fontconfig.1:${PORTSDIR}/x11-fonts/fontconfig
@@ -67,8 +67,9 @@ pre-everything::
 .endif
 
 post-patch:
-# Remove extra (vendor-provided) CFLAGS and LDFLAGS
-	@${REINPLACE_CMD} -e '1250,1252d' ${WRKSRC}/config.lib
+	@${REINPLACE_CMD} -e '/-O[0-4]/d' \
+		-e 's|/usr/local|${LOCALBASE}|' \
+		${WRKSRC}/config.lib
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/bin/${PORTNAME} ${PREFIX}/bin
Index: games/openttd/pkg-plist
===================================================================
RCS file: /a/.cvsup/ports/games/openttd/pkg-plist,v
retrieving revision 1.13
diff -u -p -r1.13 pkg-plist
--- games/openttd/pkg-plist	22 Aug 2010 12:30:53 -0000	1.13
+++ games/openttd/pkg-plist	29 Sep 2010 22:48:46 -0000
@@ -18,6 +18,7 @@ share/pixmaps/openttd.32.xpm
 @dirrm %%DATADIR%%/data
 %%DATADIR%%/lang/afrikaans.lng
 %%DATADIR%%/lang/arabic_egypt.lng
+%%DATADIR%%/lang/belarusian.lng
 %%DATADIR%%/lang/brazilian_portuguese.lng
 %%DATADIR%%/lang/bulgarian.lng
 %%DATADIR%%/lang/catalan.lng
--- b.diff ends here ---
Comment 3 tykling 2010-09-30 00:19:40 UTC
Hello there,

The CXXFLAGS change in the Makefile was suggested by "port test" - I am 
not well versed in C or compiling so if maintainer can confirm that the 
change looks correct before comitting it, that would be great.

/Thomas
Comment 4 Thomas Steen Rasmussen / Tykling 2010-09-30 00:28:15 UTC
Hello,

Thank you very much for the input Anonymous, much appreciated.
Question: Do I just leave the PR like this with your updated patch, or 
do I close this one and submit a new with the complete patch ?

/Thomas
Comment 5 Alexey Dokuchaev freebsd_committer 2010-11-24 02:22:58 UTC
State Changed
From-To: open->analyzed

Thanks, I'll merge suggested changes with upcoming update to version 1.0.5.
Comment 6 dfilter service freebsd_committer 2010-11-24 06:13:13 UTC
danfe       2010-11-24 06:13:07 UTC

  FreeBSD ports repository

  Modified files:
    games/openttd        Makefile distinfo pkg-plist 
  Added files:
    games/openttd/files  openttd.in 
  Log:
  - Long awaited update to version 1.0.5 [1]
  - Add rc.d script [2]
  - Fix compilation warnings and improve LOCALBASE safeness [3]
  - Add LICENSE (GPLv2)
  - Clean up Makefile, utilize PORTNAME where appropriate
  
  Security:       VuXML 373e412e-f748-11df-96cd-0015f2db7bde [1]
  Reviewed by:    dougb [2]
  PR:             ports/151090 [3], ports/151915 [1,2], ports/152529 [1,3]
  Submitted by:   Thomas Rasmussen, swell.k@gmail.com, Ilya Arhipov, kwm, wen
  
  Revision  Changes    Path
  1.32      +15 -7     ports/games/openttd/Makefile
  1.22      +2 -3      ports/games/openttd/distinfo
  1.1       +30 -0     ports/games/openttd/files/openttd.in (new)
  1.14      +1 -0      ports/games/openttd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Alexey Dokuchaev freebsd_committer 2010-11-24 06:14:18 UTC
State Changed
From-To: analyzed->closed

Port updated to version 1.0.5 (security update).  Thanks for your submission.